#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GLib.Structs.IOChannel where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype IOChannel = IOChannel (ManagedPtr IOChannel)
instance BoxedObject IOChannel where
#if ENABLE_OVERLOADING
data IOChannelCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelFlushMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelGetBufferConditionMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelGetBufferSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelGetBufferedMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelGetCloseOnUnrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelGetEncodingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelGetLineTermMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelInitMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelReadMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelReadCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelReadLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelReadToEndMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelReadUnicharMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelRefMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelSeekMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelSeekPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelSetBufferSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelSetBufferedMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelSetCloseOnUnrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelSetEncodingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelSetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelSetLineTermMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelShutdownMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelUnixGetFdMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelUnrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelWriteMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelWriteCharsMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOChannelWriteUnicharMethodInfo
#endif
