#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GLib.Structs.KeyFile where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype KeyFile = KeyFile (ManagedPtr KeyFile)
instance BoxedObject KeyFile where
#if ENABLE_OVERLOADING
data KeyFileGetBooleanMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetBooleanListMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetCommentMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetDoubleMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetDoubleListMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetGroupsMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetInt64MethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetIntegerMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetIntegerListMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetKeysMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetLocaleForKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetLocaleStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetLocaleStringListMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetStartGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetStringListMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetUint64MethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileGetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileHasGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileLoadFromBytesMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileLoadFromDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileLoadFromDataDirsMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileLoadFromDirsMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileLoadFromFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileRemoveCommentMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileRemoveGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileRemoveKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSaveToFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetBooleanMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetBooleanListMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetCommentMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetDoubleMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetDoubleListMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetInt64MethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetIntegerMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetIntegerListMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetListSeparatorMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetLocaleStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetLocaleStringListMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetStringListMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetUint64MethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileSetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileToDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data KeyFileUnrefMethodInfo
#endif
