#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GLib.Structs.OptionContext where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype OptionContext = OptionContext (ManagedPtr OptionContext)
instance WrappedPtr OptionContext where
#if ENABLE_OVERLOADING
data OptionContextAddGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextAddMainEntriesMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextFreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextGetDescriptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextGetHelpMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextGetHelpEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextGetIgnoreUnknownOptionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextGetMainGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextGetStrictPosixMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextGetSummaryMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextParseMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextParseStrvMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextSetDescriptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextSetHelpEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextSetIgnoreUnknownOptionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextSetMainGroupMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextSetStrictPosixMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextSetSummaryMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextSetTranslateFuncMethodInfo
#endif
#if ENABLE_OVERLOADING
data OptionContextSetTranslationDomainMethodInfo
#endif
