#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GLib.Structs.VariantType where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype VariantType = VariantType (ManagedPtr VariantType)
instance BoxedObject VariantType where
#if ENABLE_OVERLOADING
data VariantTypeCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeDupStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeElementMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeEqualMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeFirstMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeFreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeGetStringLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeHashMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeIsArrayMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeIsBasicMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeIsContainerMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeIsDefiniteMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeIsDictEntryMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeIsMaybeMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeIsSubtypeOfMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeIsTupleMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeIsVariantMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeNItemsMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeNextMethodInfo
#endif
#if ENABLE_OVERLOADING
data VariantTypeValueMethodInfo
#endif
